List Fields
/unified/ticketing/fields
Query Parameters
Refer Specifying query parameters in Truto APIs
Collections associated with the fields
3 supported2 required
The unique identifier for collection
The entity to get the fields for
accountattachmentcollectioncommentcontactprojecttagticketticket_typeuser
21 supported13 required
ticketcontactaccountticketcontactticketcontactticketticketticket_typeticketticketcontactaccountattachmentcollectioncommentcontacttagticketticketcontactaccountticketticketcontactticketaccountcontactprojectticketticketcontactaccount2 supported2 required2 notes
The workspace associated with the fields.
Fields associated with workspace.
The unique identifier for workspace.
The unique identifier for the entity the field belongs to
2 supported
The ticket_type's unique identifier
4 supported1 required2 notes
Fields associated with ticket type.
The unique identifier of the ticket_type.
name
2 supported
The field's name. This is the name of the property in the entity.
24 supported
1 supported
The unique identifier for a organization.
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Fields
The unique identifier of the applicable
2 supported
The context in which the field is applicable
collectionworkspaceticket
3 supported
The date and time of the field's creation
10 supported
The field's description
13 supported
The unique identifier for the entity the field belongs to
2 supported
The entity type the field belongs to
ticket_typeticketcollectionuser
19 supported
The unique identifier for the specific version of the resource.
The field's format.
2 supported
The field's unique identifier
24 supported
Whether the field is hidden
9 supported
Whether the field is required
16 supported
Whether the field is unique
2 supported
Whether the field is user defined
14 supported
The field's label
23 supported
The field's name. This is the name of the property in the entity.
24 supported
The field's options
20 supported
4 properties
The option's description
Whether the option is hidden
The option's label
The option's value
Raw data returned from the remote API call.
The status of the field
activearchived
8 supported
The ticket_type's unique identifier
4 supported
The field's type. If no clear mapping exists, then raw value is returned.
stringtextrich_textnumberbooleandatedatetimetimeenumarrayfile
24 supported
The date and time of the field's last update
11 supported
curl -X GET 'https://api.truto.one/unified/ticketing/fields?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/ticketing/fields?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/ticketing/fields"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'ticketing',
'fields',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"ticketing",
"fields",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())